﻿//-------------------------------------------------------------
//- Copyright (C) 2017-2018 gamevanilla. All rights reserved. -
//-------------------------------------------------------------

using UnityEngine;

namespace CCG
{
    [CreateAssetMenu(menuName = "CCG/Effects/Deal damage to player", fileName = "DealDamageToPlayer", order = 0)]
    public class DealDamageToPlayerEffect : PlayerEffectModel
    {
        public int Damage;

        public override void Resolve(RuntimePlayer player)
        {
            player.Hp -= Damage;
        }
    }
}